/*border
 * CSS for jsPsych experiments.
 *
 * This stylesheet provides minimal styling to make jsPsych
 * experiments look polished without any additional styles.
 */

/*@import url(https://fonts.googleapis.com/css?family=Open+Sans:400italic,700italic,400,700);*/
/*@import url('https://fonts.googleapis.com/css2?family=Special+Elite&display=swap');*/

@font-face {
  font-family: Special Elite;
  src: url(face.ttf);
}

.vl {
    border-left: 6px solid green;
    height: 100%;
    position: absolute;
    left: 50%;
    margin-left: -3px;
    top: 0;

}

ul {
    text-align: left;
}

.reminder{
    float: left;
    width: 20%;
    margin-top: 30px;
}

.rest{
    float: left;
    margin-top: 30px;
    width: 78%;
    padding: 0px;
    margin-left:auto;
    margin-right: auto;
    /*border: 1px solid darkgrey;*/
}

.img_reminder{
    text-align: center;
    max-width: 95%;
    max-height: 95%;
    border: 1px solid black;
}



.imgs {
    display: inline-block;
    margin: 10px;
    width: 25%;
    border: 3px solid black;
    border-radius: 20px;
}

.two-column-div {
    column-count: 2;
}

.button-option {
    display: inline-block;
    padding: 6px 12px;
    margin: 0;
    font-size: .5em;
    font-weight: 400;
    font-family: 'Special Elite', cursive;
    /*font-family: 'PT Mono', monospace;*/
    /*font-family: 'Open Sans', 'Arial', sans-serif;*/
    cursor: pointer;
    line-height: 1.4;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    background-image: none;
    border: 1px solid transparent;
    border-radius: 4px;
    color: dimgrey;
    background-color: #fff;
    border-color: #ccc;
}

.button-option:hover {
    background-color: #ddd;
    border-color: #aaa;
}

.button-option:disabled {
    background-color: #eee;
    color: #aaa;
    border-color: #ccc;
    cursor: not-allowed;
}

/* Container holding jsPsych content */
.inputs{
    height:30px;
    width:80%;
    display:block;
    margin-top: 0.5em;
    margin-bottom: 0.5em;
    line-height: 1.1em;
    /*border-bottom: 1px solid black;*/
}

.bags {
    display:inline-block;
    position:static;
    margin-top: 0;
    padding: 8px;
    border: 1px solid darkgrey;
    border-radius: 5px;
    margin-bottom: 10px;
}
.question-new {
    font-size: 1.3em ;
    margin-top:0px;
    margin-bottom:1px;

}

.words{
  font-size: 1.3em ;
    /*font-size: .8em;*/
    border-bottom: 1px solid grey;
    border-top-style: hidden;
    border-right-style: hidden;
    border-left-style: hidden;
    font-family: 'Special Elite', cursive;
      margin:0px;
      /*border: 0;*/
      outline: 0;
      background: transparent;
      border-radius: 0;
}

/* custom style for input[type="range] (slider) to improve alignment between positions and labels */

.jspsych-slider {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    width: 100%;
    background: transparent;
}
.jspsych-slider:focus {
    outline: none;
}
/* track */
.jspsych-slider::-webkit-slider-runnable-track {
    appearance: none;
    -webkit-appearance: none;
    width: 100%;
    height: 8px;
    cursor: pointer;
    background: #eee;
    box-shadow: 0px 0px 0px #000000, 0px 0px 0px #0d0d0d;
    border-radius: 2px;
    border: 1px solid #aaa;
}
.jspsych-slider::-moz-range-track {
    appearance: none;
    width: 100%;
    height: 8px;
    cursor: pointer;
    background: #eee;
    box-shadow: 0px 0px 0px #000000, 0px 0px 0px #0d0d0d;
    border-radius: 2px;
    border: 1px solid #aaa;
}
.jspsych-slider::-ms-track {
    appearance: none;
    width: 99%;
    height: 14px;
    cursor: pointer;
    background: #eee;
    box-shadow: 0px 0px 0px #000000, 0px 0px 0px #0d0d0d;
    border-radius: 2px;
    border: 1px solid #aaa;
}
/* thumb */
.jspsych-slider::-webkit-slider-thumb {
    border: 1px solid #666;
    height: 24px;
    width: 15px;
    border-radius: 5px;
    background: #ffffff;
    cursor: pointer;
    -webkit-appearance: none;
    margin-top: -9px;
}
.jspsych-slider::-moz-range-thumb {
    border: 1px solid #666;
    height: 24px;
    width: 15px;
    border-radius: 5px;
    background: #ffffff;
    cursor: pointer;
}
.jspsych-slider::-ms-thumb {
    border: 1px solid #666;
    height: 20px;
    width: 15px;
    border-radius: 5px;
    background: #ffffff;
    cursor: pointer;
    margin-top: -2px;
}


input[type=text]{
    /*font-size: 1.3em ;*/
    margin-left:0.1em;
  margin-right:0.3em;
  border: 0;
  outline: 0;
  background: transparent;
  border-bottom: 1.5px solid black;
  border-radius: 0;
}

.questionnaire{
  margin-left:auto;
  margin-right:auto;
  width: 70%;
}

.question-prompt{
  max-width: 100%;
  white-space:nowrap;
}

.btn_consent {
    display: inline-block;
    padding: 6px 12px;
    margin: 0px;
    font-size: .7em;
    font-family: 'Special Elite', cursive;
    /*font-family: 'PT Mono', monospace;*/
    font-family: 'Open Sans', 'Arial', sans-serif;
    cursor: pointer;
    line-height: 1.4;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    background-image: none;
    border: 1px solid black;
    border-radius: 4px;
    color: #333;
    background-color: #fff;
    border-color: black;
}
.general {
    margin-top: 3%;
    font-family: 'Open Sans', 'Arial', sans-serif;
    width: 85%;
    padding: 5px;
    margin-left:auto;
    margin-right: auto;
}

.centered {
    margin-top: 10px;
  width: 80%;
  padding: 0px;
  margin-left:auto;
  margin-right: auto;

}

.column {
  float: left;
  width: 48%;
  padding: 5px;
  margin: auto;
}

.row {
  margin-top: 5%;
}

/* Clearfix (clear floats) */
.row::after {
  content: "";
  clear: both;
  display: table;
}

/* Critical text */
.instructions{
    font-size: 1em;
    line-height: 1.3em;
    margin-top: 2px;
    margin-bottom:1px;
    text-align: left;
}

.img_instructions{
    text-align: center;
}



.preamble{
    font-size: 1.35em;
    line-height: 1em;
    margin-top: 2px;
    margin-bottom:1px
}


 .jspsych-display-element {
   position: relative;
   width: 120vh;
   height: 90vh;
   left: 50%;
   -webkit-transform: translateX(-50%);transform: translateX(-50%);
 }

 .jspsych-free-sort-draggable{
     border: 1px solid grey;
     border-radius: 20px;
 }

img#jspsych-image-keyboard-response-stimulus{
    border: 1px solid grey;
    border-radius: 20px;

}

 .jspsych-display-element:focus {
   outline: none;}


 .jspsych-content-wrapper {
   position: relative;
   width: 120vh;
   height: 90vh;
   left: 50%;
   -webkit-transform: translateX(-50%);transform: translateX(-50%);
 }

 .jspsych-content {
   max-width: 95%; /* this is mainly an IE 10-11 fix */
   text-align: center;
   position: relative;
   width: 120vh;
   height: 90vh;
     font-size: 1.5em;
   left: 50%;
   -webkit-transform: translateX(-50%);transform: translateX(-50%);
 }


/* fonts and type */

.jspsych-display-element {
  font-family: 'Special Elite';
  font-size: 1.5em;
  line-height: 1.6em;

}

/* Form elements like input fields and buttons */

.jspsych-display-element input[type="text"] {
  /*font-family: 'PT Mono', monospace;*/
  font-family: 'Special Elite';
  font-size: 1.2em;
}

/* borrowing Bootstrap style for btn elements, but combining styles a bit */
.jspsych-btn {
  display: inline-block;
  padding: 6px 12px;
  margin: 0px;
  font-size: 1em;
  font-weight: 600;
  font-family: 'Special Elite', cursive;
  /*font-family: 'PT Mono', monospace;*/
  /*font-family: 'Open Sans', 'Arial', sans-serif;*/
  cursor: pointer;
  line-height: 1.4;
  text-align: center;
  white-space: nowrap;
  vertical-align: middle;
  background-image: none;
  border: 1px solid black;
  border-radius: 4px;
  color: #333;
  background-color: #fff;
  border-color: black;
}

.jspsych-btn:hover {
  background-color: #ddd;
  border-color: #aaa;
}

.jspsych-btn:disabled {
  background-color: #eee;
  color: #aaa;
  border-color: #ccc;
  cursor: not-allowed;
}

/* jsPsych progress bar */

#jspsych-progressbar-container {
  color: #555;
  border-bottom: 1px solid #dedede;
  background-color: #f9f9f9;
  margin-bottom: 1em;
  text-align: center;
  padding: 8px 0px;
  width: 100%;
  line-height: 1em;
}
#jspsych-progressbar-container span {
  font-size: 14px;
  padding-right: 14px;
}
#jspsych-progressbar-outer {
  background-color: #eee;
  width: 50%;
  margin: auto;
  height: 14px;
  display: inline-block;
  vertical-align: middle;
  box-shadow: inset 0 1px 2px rgba(0,0,0,0.1);
}
#jspsych-progressbar-inner {
  background-color: #aaa;
  width: 0%;
  height: 100%;
}

/* Control appearance of jsPsych.data.displayData() */
#jspsych-data-display {
  text-align: left;
}
